package main;

import java.util.ArrayList;

public class RecordedGeneration {
	public ArrayList<RecordedIndividual> pop = new ArrayList<RecordedIndividual>();
	public double bestEver;
	
	public double avrgCorrectness() {
		double sum = 0;
		for (RecordedIndividual i:pop) {
			sum += i.correctness;
		}
		if (pop.size() > 0) {
			sum /= pop.size();
		}
		return sum;
	}
	public double bestCorrectness() {
		double reply = pop.get(0).correctness;
		for (RecordedIndividual i:pop) {
			if (i.correctness > reply) {
				reply = i.correctness;
			}
		}
		return reply;
	}
}
